### Function

# GLib get_current_time

deprecated: 2.62

#### Declaration

    void
    g_get_current_time (
      GTimeVal* result
    )

#### Description

Equivalent to the UNIX `gettimeofday()` function, but portable.

You may find `g_get_real_time()` to be more convenient.

Deprecated since: 2.62

`GTimeVal` is not year-2038-safe. Use `g_get_real_time()` instead.

#### Parameters

`result`

  Type: `GTimeVal`

  `GTimeVal` structure in which to store current time.

  The data is owned by the caller of the function.